﻿module Windows.CFileSystem;
import std.algorithm, std.stream;
import Tractor.Tractor;
import QBasic.IFileSystemExternal;

class CFileSystem : IFileSystemExternal
{
	private ITractor mTractor;

	public this(ITractor aTractor)
	{
		mTractor = aTractor;
	}



	public Stream Open(string aPath)
	{
		if (endsWith(aPath, ".sav"))
			return mTractor.Core.OpenLocalFile(aPath);
		return mTractor.Core.OpenDataFile(aPath);
	}



	public void Close(Stream aStream)
	{
		mTractor.Core.CloseFile(aStream);
	}
}