﻿module QBasic.Parser.Expressions.CValueExpressionNode;
import QBasic.Parser.Expressions.CExpressionNode, QBasic.Program.CType, QBasic.Program.CValue;

class CValueExpressionNode : CExpressionNode
{
	private CValue mValue;

	public this(CValue aValue)
	{
		mValue = aValue;
	}



	public override EExpressionNodeType NodeType()
	{
		return EExpressionNodeType.Value;
	}



	public override EPrimitiveType Type()
	{
		return mValue.Type;
	}



	public CValue Value()
	{
		return mValue;
	}
}