﻿module QBasic.Program.Expressions.CBuiltinFunctionUnit;
import QBasic.Program.CType, QBasic.Program.EBuiltinFunction,
		QBasic.Program.Expressions.CExpression, QBasic.Program.Expressions.Units;

class CBuiltinFunctionUnit : CFunctionUnit
{
	public immutable EBuiltinFunction Function;

	public this(EBuiltinFunction aFunction, CExpression[] aArguments)
	{
		Function = aFunction;
		super(aArguments);
	}



	public override EUnitType UnitType()
	{
		return EUnitType.BuiltinFunction;
	}
}