﻿module QBasic.Program.Instructions.CBLoadInstruction;
import QBasic.Interpreter.Instructions.CBLoadInterpreter, QBasic.Interpreter.Instructions.IInstructionInterpreter,
		QBasic.Program.Expressions.CExpression, QBasic.Program.Instructions.CInstruction;

class CBLoadInstruction : CInstruction
{
	private CExpression mFileNameExpression;

	public this(CExpression aFileNameExpression)
	{
		mFileNameExpression = aFileNameExpression;
	}



	public IInstructionInterpreter CreateInterpreter()
	{
		return new CBLoadInterpreter();
	}



	public CExpression FileNameExpression()
	{
		return mFileNameExpression;
	}
}