﻿module QBasic.Program.Instructions.CDefSegInstruction;
import QBasic.Interpreter.Instructions.CDefSegInterpreter, QBasic.Interpreter.Instructions.IInstructionInterpreter,
		QBasic.Program.Expressions.CExpression, QBasic.Program.Instructions.CInstruction;

class CDefSegInstruction : CInstruction
{
	private CExpression mAddressExpression;

	public this(CExpression aAddressExpression)
	{
		mAddressExpression = aAddressExpression;
	}



	public IInstructionInterpreter CreateInterpreter()
	{
		return new CDefSegInterpreter();
	}



	public CExpression AddressExpression()
	{
		return mAddressExpression;
	}
}