module QBasic.Program.Instructions.CInstruction;
import QBasic.Program.Instructions.IInstruction;

abstract class CInstruction : IInstruction
{
	private int mLine;
	private int mPos;

	public void SetSourceInfo(int aLine, int aPos)
	{
		assert(mLine == 0 && mPos == 0);
		mLine = aLine;
		mPos = aPos;
	}



	public int Line()
	{
		return mLine;
	}



	public int Pos()
	{
		return mPos;
	}
}