﻿module QBasic.Program.Instructions.CRedimInstruction;
import QBasic.Interpreter.Instructions.CRedimInterpreter, QBasic.Interpreter.Instructions.IInstructionInterpreter,
		QBasic.Program.CName, QBasic.Program.Expressions.CExpression,
		QBasic.Program.Instructions.CInstruction;

class CRedimInstruction : CInstruction
{
	private CName mName;
	private CExpression mSubscriptExpression;

	public this(CName aName, CExpression aSubscriptExpression)
	{
		mName = aName;
		mSubscriptExpression = aSubscriptExpression;
	}



	public IInstructionInterpreter CreateInterpreter()
	{
		return new CRedimInterpreter();
	}



	public CName Name()
	{
		return mName;
	}



	public CExpression SubscriptExpression()
	{
		return mSubscriptExpression;
	}
}