﻿module QBasic.System.IFileSystem;
import QBasic.Program.EFileOpenMode;

interface IFileSystem
{
	bool Open(int aNumber, EFileOpenMode aMode, string aPath);
	bool Close(int aNumber);
	int FreeFile();
	bool ReadLine(int aNumber, out ubyte[] aLine);
	bool EOF(int aNumber, out bool aIsEOF);
	bool LOF(int aNumber, out int aLOF);
	bool Seek(int aNumber, int aPosition);
	bool BLoad(string aPath, out ubyte[] aData);
	bool Get(int aNumber, int aSize, out ubyte[] aData);
	bool Put(int aNumber, immutable(ubyte[]) aData);
}