﻿module QBasic.System.IGraphics;
import QBasic.Interpreter.CReference, QBasic.Interpreter.IInterpreterState,
		QBasic.Program.EGraphicsOperation, QBasic.Program.ELineType;

interface IGraphics
{
	void SetCurrentColourIndex(int aIndex);
	bool SetCurrentColourElement(int aValue);
	bool Line(int aX0, int aY0, int aX1, int aY1, int aColour, ELineType aType);
	bool Put(int aX, int aY, CReference aImage, EGraphicsOperation aOperation);
}