﻿module Tractor.Fonts;
import freetype.ft;

interface IFontModule
{
	IFont LoadFont(string aFileName);
}



interface IFont
{
	FT_Face Face();
	FT_F26Dot6 YSize(FT_F26Dot6 aSize);
	FT_F26Dot6 AscenderSize(FT_F26Dot6 aSize);
	FT_F26Dot6 DescenderSize(FT_F26Dot6 aSize);
	FT_F26Dot6 GetCharacterXSize(dchar aChar, FT_Vector aPosition, FT_F26Dot6 aSize);
}