#version 140

uniform float ScreenXSize;
uniform float ScreenYSize;
in vec2 Position;
in vec2 TextureCoordIn;
centroid out vec2 TextureCoord;

void main()
{
	gl_Position = vec4(Position.x * 2.0 / ScreenXSize - 1.0,
			1.0 - Position.y * 2.0 / ScreenYSize,
			0.0, 1.0);
	TextureCoord = TextureCoordIn;
}