﻿module DWin32.propsys;
import win32.windows, win32.objidl;
import DWin32.wtypes;

interface IPropertyStore : IUnknown
{
	HRESULT GetCount(DWORD *cProps);
	HRESULT GetAt(DWORD iProp, PROPERTYKEY *pkey);
	HRESULT GetValue(PROPERTYKEY *key, PROPVARIANT *pv);
	HRESULT SetValue(PROPERTYKEY *key, PROPVARIANT *propvar);
	HRESULT Commit();
}

enum GETPROPERTYSTOREFLAGS
{
	GPS_DEFAULT = 0,
	GPS_HANDLERPROPERTIESONLY = 0x1,
	GPS_READWRITE = 0x2,
	GPS_TEMPORARY = 0x4,
	GPS_FASTPROPERTIESONLY = 0x8,
	GPS_OPENSLOWITEM = 0x10,
	GPS_DELAYCREATION = 0x20,
	GPS_BESTEFFORT = 0x40,
	GPS_NO_OPLOCK = 0x80,
	GPS_PREFERQUERYPROPERTIES = 0x100,
	GPS_MASK_VALID = 0x1ff
}

interface IPropertyDescriptionList : IUnknown
{
	HRESULT GetCount(UINT *pcElem);
	HRESULT GetAt(UINT iElem, REFIID riid, void **ppv);
}