﻿module QBasic.Interpreter.Instructions.CBranchInterpreter;
import QBasic.Interpreter.IInterpreterState, QBasic.Interpreter.Instructions.IInstructionInterpreter,
		QBasic.Program.Instructions.CBranchInstruction;

class CBranchInterpreter : IInstructionInterpreter
{
	public bool Execute(IInterpreterState aState, out bool aBlocking)
	{
		CBranchInstruction Instruction = cast(CBranchInstruction)aState.GetInstruction();
		aState.NextInstruction(Instruction.GetNextInstruction());
		return true;
	}
}