﻿module QBasic.Interpreter.Instructions.IInstructionInterpreter;
import QBasic.Interpreter.IInterpreterState;

interface IInstructionInterpreter
{
	/**
	Partially executes the instruction.
	@param aBlocking Receives whether or not the instruction made a blocking call if it
	was only partially executed.
	@return true if the instruction completed execution or false if it was only
	partially executed.
	*/
	bool Execute(IInterpreterState aState, out bool aBlocking);
}