﻿module QBasic.Parser.Expressions.CUserFunctionExpressionNode;
import QBasic.Parser.Expressions.CExpressionNode, QBasic.Parser.Expressions.CFunctionExpressionNode,
		QBasic.Program.CIdentifier, QBasic.Program.CType, QBasic.Program.Expressions.CExpression;

class CUserFunctionExpressionNode : CFunctionExpressionNode
{
	private CIdentifier mName;
	private immutable EPrimitiveType mType;

	public this(CIdentifier aName, EPrimitiveType aType)
	{
		mName = aName;
		mType = aType;
	}



	public override EExpressionNodeType NodeType()
	{
		return EExpressionNodeType.UserFunction;
	}



	public override EPrimitiveType Type()
	{
		return mType;
	}



	public CIdentifier Name()
	{
		return mName;
	}
}