﻿module QBasic.Program.CArgument;
import QBasic.Program.CIdentifier, QBasic.Program.CType;

class CArgument
{
	private CIdentifier mIdentifier;
	private CType mType;

	public this(CIdentifier aIdentifier, CType aType)
	in
	{
		assert(aIdentifier !is null && aType !is null);
	}
	body
	{
		mIdentifier = aIdentifier;
		mType = aType;
	}



	public CIdentifier Identifier()
	{
		return mIdentifier;
	}



	public CType Type()
	{
		return mType;
	}



	public bool Matches(CArgument aArgument)
	{
		return mType.Equals(aArgument.mType);
	}
}