﻿module QBasic.Program.CVariableInfo;
import QBasic.Program.CType;

class CVariableInfo
{
	private CType mType;
	private int[] mInitialDimensions;

	public this(CType aType, int[] aInitialDimensions)
	in
	{
		assert((aType.Type == EType.Array && aInitialDimensions.length >= 1) ||
				(aType.Type != EType.Array && aInitialDimensions is null));
	}
	body
	{
		mType = aType;
		mInitialDimensions = aInitialDimensions;
	}



	public CType Type()
	{
		return mType;
	}



	public int[] InitialDimensions()
	{
		return mInitialDimensions;
	}
}