﻿module QBasic.Program.Expressions.CBinaryOperatorUnit;
import QBasic.Program.CType, QBasic.Program.EOperator, QBasic.Program.Expressions.Units;

class CBinaryOperatorUnit : CUnit
{
	public immutable EOperator Operator;
	public immutable EPrimitiveType ResultType;

	public this(EOperator aOperator, EPrimitiveType aResultType)
	{
		Operator = aOperator;
		ResultType = aResultType;
	}



	public override EUnitType UnitType()
	{
		return EUnitType.BinaryOperator;
	}
}