﻿module QBasic.Program.Expressions.CUnaryOperatorUnit;
import QBasic.Program.CType, QBasic.Program.EOperator, QBasic.Program.Expressions.Units;

class CUnaryOperatorUnit : CUnit
{
	public immutable EUnaryOperator Operator;
	public immutable EPrimitiveType ResultType;

	public this(EUnaryOperator aOperator, EPrimitiveType aResultType)
	{
		Operator = aOperator;
		ResultType = aResultType;
	}



	public override EUnitType UnitType()
	{
		return EUnitType.UnaryOperator;
	}
}