﻿module QBasic.Program.Expressions.CUserFunctionUnit;
import QBasic.Program.CIdentifier, QBasic.Program.Expressions.CExpression,
		QBasic.Program.Expressions.Units;

class CUserFunctionUnit : CFunctionUnit
{
	private CIdentifier mName;

	public this(CIdentifier aName, CExpression[] aArguments)
	{
		mName = aName;
		super(aArguments);
	}



	public override EUnitType UnitType()
	{
		return EUnitType.UserFunction;
	}



	public CIdentifier Name()
	{
		return mName;
	}
}