﻿module QBasic.Program.Instructions.CFileCloseInstruction;
import QBasic.Interpreter.Instructions.CFileCloseInterpreter, QBasic.Interpreter.Instructions.IInstructionInterpreter,
		QBasic.Program.Expressions.CExpression, QBasic.Program.Instructions.CInstruction;

class CFileCloseInstruction : CInstruction
{
	private CExpression mFileNumberExpression;

	public this(CExpression aFileNumberExpression)
	{
		mFileNumberExpression = aFileNumberExpression;
	}



	public IInstructionInterpreter CreateInterpreter()
	{
		return new CFileCloseInterpreter();
	}



	public CExpression FileNumberExpression()
	{
		return mFileNumberExpression;
	}
}