﻿module Engine.CTractor;
import Core.CCoreModule;
import Fonts.CFontModule;
import Shaders.CShaderModule;
import Textures.CTextureModule;
import Tractor.Tractor;

class CTractor : ITractor
{
	private CCoreModule mCoreModule;
	private CFontModule mFontModule;
	private CShaderModule mShaderModule;
	private CTextureModule mTextureModule;

	public this(CCoreModule aCoreModule, CFontModule aFontModule, CShaderModule aShaderModule,
			CTextureModule aTextureModule)
	{
		mCoreModule = aCoreModule;
		mFontModule = aFontModule;
		mShaderModule = aShaderModule;
		mTextureModule = aTextureModule;
	}



	public CCoreModule Core()
	{
		return mCoreModule;
	}



	public CFontModule Fonts()
	{
		return mFontModule;
	}



	public CShaderModule Shaders()
	{
		return mShaderModule;
	}



	public CTextureModule Textures()
	{
		return mTextureModule;
	}
}