﻿module Tractor.Core;
import std.datetime, std.file, std.stream;
public import Core.CColour, Core.ITimer, Core.EKey;

interface ICoreModule
{
	Stream OpenDataFile(string aFileName);
	Stream OpenLocalFile(string aFileName);
	void CloseFile(Stream aStream);
	DirEntry[string] GetLocalFiles();
	void Log(string aMessage);
	void Redraw();
	void StartTimer();
	ITimer CreateTimer(void delegate() aCallback);
	string FormatDateTime(SysTime aTime);
	void Quit();
}