﻿module Tractor.Textures;

interface ITextureModule
{
	ITexture LoadImage(string aFileName);
	ITexture CreateTexture(const(uint[]) aData, int aXSize, int aYSize);
}



interface ITexture
{
	uint ID();
	int XSize();
	int YSize();
	float TextureXSize();
	float TextureYSize();
	void SetData(const(uint[]) aData);
}